create table users
(
    id       integer generated by default as identity
        primary key,
    username varchar(255) not null,
    password varchar(255) not null,
    role     varchar(25)  not null default 'USER'
);